## ProvidedValue

# Type Alias ProvidedValue

Source

    pub type ProvidedValue<'tcx> = OptLevel;

Expand description

This type alias specifies the type returned from query providers and the type used for decoding. For regular queries this is the declared returned type `V`, but `arena_cache` will use `<V as ArenaCached>::Provided` instead.

## Aliased Type§

    pub enum ProvidedValue<'tcx> {
        No,
        Less,
        More,
        Aggressive,
        Size,
        SizeMin,
    }

## Variants§

§

### No

`-Copt-level=0`

§

### Less

`-Copt-level=1`

§

### More

`-Copt-level=2`

§

### Aggressive

`-Copt-level=3` / `-O`

§

### Size

`-Copt-level=s`

§

### SizeMin

`-Copt-level=z`

## Layout§

Note: Most layout information is completely unstable and may even differ between compilations. The only exception is types with certain `repr(...)` attributes. Please see the Rust Reference's “Type Layout” chapter for details on type layout guarantees.

Size: 1 byte

Size for each variant:

- `No`: 0 bytes
- `Less`: 0 bytes
- `More`: 0 bytes
- `Aggressive`: 0 bytes
- `Size`: 0 bytes
- `SizeMin`: 0 bytes